---
updatedAt: 2025-11-10T23:56:56.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/llms.txt
---

# Get Provider Offers

This endpoint is to get offers available to a user/customer from a specified Credit Company (Provider / lender).

### Response Description

| S/N | Field Name      | Description                                                                                           |
| --- | --------------- | ----------------------------------------------------------------------------------------------------- |
| 1   | responseCode    | The Code representing the result of the request processing.                                           |
| 2   | responseMessage | The Description of the responseCode.                                                                  |
| 4   | offers          | Arrays of the available offers.                                                                       |
| 4a. | offerId         |                                                                                                       |
| 4b. | amountOffered   | The Amount which the Credit Company is ready to loan the customer/user.                               |
| 4c. | interest        | The Interest Percentage that applies to the loan.                                                     |
| 4d. | amountPayable   | The Compound Interest which is to be paid by the Customer at the end of the loan tenure.              |
| 4e. | fees            | Array of the many fees that applied with the offer.                                                   |
| 4f. | tenure          | The Duration for which the loan is applied. After this duration, the loan is marked as due. (in days) |
| 4g. | terms           | The Terms and Conditions that applied to the offer.                                                   |
| 4h. | expiryDate      | The Date and Time at which this offer becomes invalid.(UTC)                                           |
| 4i. | currency        | The Currency Code of the Amount offered.                                                              |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "ipg",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.interswitchng.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/lending-service/api/v1/offers": {
      "get": {
        "summary": "Get Provider Offers",
        "description": "This endpoint is to get offers available to a user/customer from a specified Credit Company (Provider / lender).",
        "operationId": "get-provider-offers",
        "parameters": [
          {
            "name": "customerId",
            "in": "query",
            "description": "The Email or Mobile Number of the Customer for which offers are been requested.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "2348123456789"
            }
          },
          {
            "name": "channelCode",
            "in": "query",
            "description": "The Code of the Channel from which this request is originating.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "0002"
            }
          },
          {
            "name": "providerCode",
            "in": "query",
            "description": "The Code of the Provider from which offers will be retrieved.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "ABCREDIT"
            }
          },
          {
            "name": "fullname",
            "in": "query",
            "description": "The Full name of the Customer.",
            "schema": {
              "type": "string",
              "default": "John Doe"
            }
          },
          {
            "name": "amount",
            "in": "query",
            "description": "The Amount of Loan that the customer wishes to take (in Kobo).",
            "schema": {
              "type": "string",
              "default": "5000000"
            }
          },
          {
            "name": "serviceType",
            "in": "query",
            "description": "The service type for the loan. e.g MONEY or RECHARGE",
            "schema": {
              "type": "string",
              "default": "LOAN"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "Bearer eyJhbGciOiJSUzI1NiJ9.eyJhdWQiOlsiY2FyZGxlc3Mtc2VydmljZSIsImluY29nbml0byIsImlzdy1jb2xsZWN0aW9ucyIsImlzdy1jb3JlIiwiaXN3LWxlbmRpbmctc2VydmljZSIsImlzdy1wYXltZW50Z2F0ZXdheSIsInBhc3Nwb3J0IiwicGF5bWVudC1zZXJ2aWNlIiwicHJvamVjdC14LW1lcmNoYW50IiwidmF1bHQiXSwibWVyY2hhbnRfY29kZSI6Ik1YMTg3IiwicHJvZHVjdGlvbl9wYXltZW50X2NvZGUiOiIwMDE2NDYzOTg1NCIsInJlcXVlc3Rvcl9pZCI6IjAwMTE3NjE0OTkyIiwic2NvcGUiOlsicHJvZmlsZSJdLCJqdGkiOiIzNTFjNDQ5MS01YzcwLTRhOTEtODRiZS0zZjNjY2Q1YzE2Y2MiLCJwYXlhYmxlX2lkIjoiMjMyNCIsImNsaWVudF9pZCI6IklLSUE5NjE0QjgyMDY0RDYzMkU5QjY0MThERjM1OEE2QTRBRUE4NEQ3MjE4IiwicGF5bWVudF9jb2RlIjoiMDQyNTk0MTMwMjQ2In0.P2mUITLA2bsmMryCyuVwDXK-4ozcRYtEKIN1t-qRPZaUStKleLsgxQxJqXv0EZ0CIYbAECw28AeJmbiBtosVSQ824unhfYTyhRCAt1olO_pNwf6PPmMNVTUO5q7F1b3CQPKP5D3VmNMw3MrHUzTzLwqMMzTIAYWf3V-7TEuHBOVzTsOtmuV-j63qASkFGsn_3x-TwgPVeOZ-INnDtXnSCSwQKG10q0_QE7B-ke2v0Up0vxXJ4wTsX8qWm6sJ5Bn_GU260qNPnVCip93xhzAHv7e__ONfeTMdDVPypQ0lyKgcR0FcBrJqONz6yifuu2BfoGeDkXV1cyZFhZg_xwiFYw"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"responseCode\": \"00\",\n  \"responseMessage\": \"Offers available\",\n  \"offers\": [\n    {\n      \"offerId\": \"FI12345\",\n      \"amountOffered\": 1000000, // Ten thousand naira only\n      \"interest\" : 12.5 // In percentage: 12.5%\n      \"amountPayable\": 1250000, // Ten thousand, two hundred and fifty naira only\n      \"tenure\": 30,\n      \"expiryDate\": \"2017-06-12T11:46:15Z\"\n      \"currency\": \"566\"\n    }\n  ]\n}"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl  https://sandbox.interswitchng.com//offers?customerId={customerId}&channelCode={channelCode}&providerCode={providerCode}&amount={amount}&serviceType={serviceType} \\\n-H \"Authorization: Bearer <token>\" \\\n-H \"Content-Type: application/json\" \\ \n-X GET\n"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```